Update a case
curl --request PATCH \
--url https://api.example.com/v1/cases/{case_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"queue_assignment": "<string>",
"flow_position": "<string>"
}
'import requests
url = "https://api.example.com/v1/cases/{case_id}"
payload = {
"queue_assignment": "<string>",
"flow_position": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({queue_assignment: '<string>', flow_position: '<string>'})
};
fetch('https://api.example.com/v1/cases/{case_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01K5WF06MJ6T99HRYE78AN7XM8",
"onboarding_id": "01K5WET89VJ8HKBTMP3PS6KFBF",
"queue_assignment": "John's Queue",
"flow_position": "Closure - Decisions - Initial",
"estate_value": "unknown",
"progress": "no_clue",
"possible_dispute": "no_dispute_expected",
"pending_searches": [
"irs"
],
"date_of_sign_up": "2025-09-23T10:30:00Z",
"terms_accepted_at": "2025-09-23T10:30:00Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "validation_error",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"message": "Must be a valid email address."
}
]
}
}Cases
Update a case
Partially update an existing case.
PATCH
/
cases
/
{case_id}
Update a case
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique case identifier (ULID format).
Body
application/json
Available options:
unknown, under_25k, 25k_to_100k, 100k_to_500k, 500k_to_1m, over_1m Available options:
no_clue, just_started, making_progress, almost_done, completed Available options:
no_dispute_expected, possible_dispute, active_dispute Response
Case updated.
Show child attributes
Show child attributes
⌘I

